clf reset;
clear 
gams_output = 'std';
[posn,face,radius] = gams('threedg');

face = [face face(:,1)];

numfaces = size(face,1);

for i=1:numfaces
  x(:,i) = posn(face(i,:),1);
  y(:,i) = posn(face(i,:),2);
  z(:,i) = posn(face(i,:),3);
end

%p = plot3(x,y,z);
%set(p,'linewidth',3,'color','r');
p = fill3(x,y,z,'c');

set(p,'facecolor','c','edgecolor','r');
hold on;

[XX,YY,ZZ] = sphere(10);   
h1 = mesh(radius*XX,radius*YY,radius*ZZ);       
set(h1,'facecolor','none','edgecolor','b');
axis square;

axis off;
for i=1:360,
  view(i,i),
  pause,
end

hold off;


