$setglobal m 2
$setglobal n 3
$if exist matglobs.gms $include matglobs.gms

set i /1*%m%/,
    j /1*%n%/;

alias (j1,j);

parameter Q(j,j1) /
1 .1 1.0
2 .2 1.0
3 .3 1.0
/,
A(i,j) /
1 .1 1.0
1 .2 1.0
1 .3 1.0
2 .1 -1.0
2 .3 1.0
/,
b(i) /
1 1.0
2 1.0
/
c(j) /
1 2.0
/;

positive variable x(j),
         u(i);

equation primal(j),
         dual(i);

primal(j).. sum(j1,Q(j,j1)*x(j1)) + c(j) - sum(i,A(i,j)*u(i)) =g= 0;
dual(i)..   sum(j, A(i,j)*x(j)) =g= b(i);

model qp /primal.x,dual.u/;

$if exist matdata.gms $include matdata.gms

solve qp using mcp;

$libinclude matout x.l J
$libinclude matout u.l I
$libinclude matout Q J J1
$libinclude matout J
